Contents

Hide contents

SwiftUI Animations by Tutorials

Before You Begin

Section 0: 5 chapters
Show chapters Hide chapters

Section I: SwiftUI Animations by Tutorials

Section 1: 11 chapters
Show chapters Hide chapters

To follow along with this book, you’ll need the following:

  • Xcode 14 or later. Xcode is the main development tool for iOS. You’ll need Xcode 14 or later for the tasks in this book. SwiftUI evolves rapidly so having the latest version of Xcode can be crucial to having a smooth reading experience. You can download the latest version of Xcode from Apple’s developer site here: apple.co/2asi58y

  • An intermediate level knowledge of Swift and SwiftUI. This book teaches you how to leverage basic and advanced animations in SwiftUI. Even though you’ll use Swift and SwiftUI throughout this book, its focus isn’t about these topics, so you should have at least an intermediate-level knowledge of Swift.

If you want to try things out on a physical iOS device, you’ll need a developer account with Apple, which you can obtain for free. However, all the sample projects in this book will work just fine in the iOS Simulator bundled with Xcode, so a paid developer account is completely optional.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.
© 2022 Kodeco Inc.